Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class SplitPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JSplitPane
                              |
                              +--ccl.swing.SplitPane

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class SplitPane
extends javax.swing.JSplitPane

This class provides a workaround for a bug in the JSplitPane.setDividerLocation( double ) method.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.JSplitPane
`BOTTOM, CONTINUOUS_LAYOUT_PROPERTY, continuousLayout, DIVIDER, DIVIDER_LOCATION_PROPERTY, DIVIDER_SIZE_PROPERTY, dividerSize, HORIZONTAL_SPLIT, LAST_DIVIDER_LOCATION_PROPERTY, lastDividerLocation, LEFT, leftComponent, ONE_TOUCH_EXPANDABLE_PROPERTY, oneTouchExpandable, orientation, ORIENTATION_PROPERTY, RESIZE_WEIGHT_PROPERTY, RIGHT, rightComponent, TOP, VERTICAL_SPLIT`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SplitPane()` Creates a new `JSplitPane` configured to arrange the child components side-by-side horizontally with no continuous layout, using two buttons for the components.
`SplitPane(int newOrientation)` Creates a new `JSplitPane` configured with the specified orientation and no continuous layout.
`SplitPane(int newOrientation, boolean newContinuousLayout)` Creates a new `JSplitPane` with the specified orientation and redrawing style.
`SplitPane(int newOrientation, boolean newContinuousLayout, java.awt.Component newLeftComponent, java.awt.Component newRightComponent)` Creates a new `JSplitPane` with the specified orientation and redrawing style, and with the specified components.
`SplitPane(int newOrientation, java.awt.Component newLeftComponent, java.awt.Component newRightComponent)` Creates a new `JSplitPane` with the specified orientation and with the specified components that do not do continuous redrawing.

Method Summary
`void` | `paint(java.awt.Graphics graphics_)`
`void` | `setDividerLocation(double dLocation_)` Sets the divider location as a percentage of the `JSplitPane`'s size.
`void` | `setDividerLocation(int location_)` Sets the location of the divider.

Methods inherited from class javax.swing.JSplitPane
`addImpl, getAccessibleContext, getBottomComponent, getDividerLocation, getDividerSize, getLastDividerLocation, getLeftComponent, getMaximumDividerLocation, getMinimumDividerLocation, getOrientation, getResizeWeight, getRightComponent, getTopComponent, getUI, getUIClassID, isContinuousLayout, isOneTouchExpandable, isValidateRoot, paintChildren, paramString, remove, remove, removeAll, resetToPreferredSizes, setBottomComponent, setContinuousLayout, setDividerSize, setLastDividerLocation, setLeftComponent, setOneTouchExpandable, setOrientation, setResizeWeight, setRightComponent, setTopComponent, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paintBorder, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SplitPane

    public SplitPane()

  Creates a new `JSplitPane` configured to arrange the child components side-by-side horizontally with no continuous layout, using two buttons for the components.

### SplitPane

    public SplitPane(int newOrientation)

  Creates a new `JSplitPane` configured with the specified orientation and no continuous layout.

Parameters:
  `newOrientation` - `JSplitPane.HORIZONTAL_SPLIT` or `JSplitPane.VERTICAL_SPLIT`
Throws:
  `java.lang.IllegalArgumentException` - if `orientation` is not one of HORIZONTAL_SPLIT or VERTICAL_SPLIT.

### SplitPane

    public SplitPane(int newOrientation,
                     java.awt.Component newLeftComponent,
                     java.awt.Component newRightComponent)

  Creates a new `JSplitPane` with the specified orientation and with the specified components that do not do continuous redrawing.

Parameters:
  `newOrientation` - `JSplitPane.HORIZONTAL_SPLIT` or `JSplitPane.VERTICAL_SPLIT`
  `newLeftComponent` - the `Component` that will appear on the left of a horizontally-split pane, or at the top of a vertically-split pane
  `newRightComponent` - the `Component` that will appear on the right of a horizontally-split pane, or at the bottom of a vertically-split pane
Throws:
  `java.lang.IllegalArgumentException` - if `orientation` is not one of: HORIZONTAL_SPLIT or VERTICAL_SPLIT

### SplitPane

    public SplitPane(int newOrientation,
                     boolean newContinuousLayout)

  Creates a new `JSplitPane` with the specified orientation and redrawing style.

Parameters:
  `newOrientation` - `JSplitPane.HORIZONTAL_SPLIT` or `JSplitPane.VERTICAL_SPLIT`
  `newContinuousLayout` - a boolean, true for the components to redraw continuously as the divider changes position, false to wait until the divider position stops changing to redraw
Throws:
  `java.lang.IllegalArgumentException` - if `orientation` is not one of HORIZONTAL_SPLIT or VERTICAL_SPLIT

### SplitPane

    public SplitPane(int newOrientation,
                     boolean newContinuousLayout,
                     java.awt.Component newLeftComponent,
                     java.awt.Component newRightComponent)

  Creates a new `JSplitPane` with the specified orientation and redrawing style, and with the specified components.

Parameters:
  `newOrientation` - `JSplitPane.HORIZONTAL_SPLIT` or `JSplitPane.VERTICAL_SPLIT`
  `newContinuousLayout` - a boolean, true for the components to redraw continuously as the divider changes position, false to wait until the divider position stops changing to redraw
  `newLeftComponent` - the `Component` that will appear on the left of a horizontally-split pane, or at the top of a vertically-split pane
  `newRightComponent` - the `Component` that will appear on the right of a horizontally-split pane, or at the bottom of a vertically-split pane
Throws:
  `java.lang.IllegalArgumentException` - if `orientation` is not one of HORIZONTAL_SPLIT or VERTICAL_SPLIT

Method Detail

### setDividerLocation

    public void setDividerLocation(double dLocation_)

  Sets the divider location as a percentage of the `JSplitPane`'s size.

  This method is implemented in terms of `setDividerLocation(int)`. This method immediately changes the size of the split pane based on its current size. If the split pane is not correctly realized and on screen, this method will have no effect (new divider location will become (current size * proportionalLocation) which is 0).

  Overrides:
    `setDividerLocation` in class `javax.swing.JSplitPane`
  Parameters:
    `dLocation_` - a double-precision floating point value that specifies a percentage, from zero (top/left) to 1.0 (bottom/right)
  Throws:
    `java.lang.IllegalArgumentException` - if the specified location is < 0 or > 1.0

### setDividerLocation

    public void setDividerLocation(int location_)

  Sets the location of the divider. This is passed off to the look and feel implementation, and then listeners are notified. A value less than 0 implies the divider should be reset to a value that attempts to honor the preferred size of the left/top component. After notifying the listeners, the last divider location is updated, via `setLastDividerLocation`.

  Overrides:
    `setDividerLocation` in class `javax.swing.JSplitPane`
  Parameters:
    `location_` - an int specifying a UI-specific value (typically a pixel count)

### paint

    public void paint(java.awt.Graphics graphics_)

  Overrides:
    `paint` in class `javax.swing.JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD